package com.zhentao.common.orders.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.common.orders.domain.MarketingCoupon;
import com.zhentao.common.orders.mapper.MarketingCouponMapper;
import com.zhentao.common.orders.service.MarketingCouponService;
import com.zhentao.util.ResultVo;
import com.zhentao.util.SnowflakeIdGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* @author lsk
* @description 针对表【marketing_coupon(优惠券表
)】的数据库操作Service实现
* @createDate 2025-05-08 17:30:15
*/
@Service
public class MarketingCouponServiceImpl extends ServiceImpl<MarketingCouponMapper, MarketingCoupon>
    implements MarketingCouponService {
    @Autowired
    private MarketingCouponMapper couponMapper;
    @Override
    public ResultVo add(MarketingCoupon coupon) {
        coupon.setId(SnowflakeIdGenerator.getSnowId());
        couponMapper.insert(coupon);

        return null;
    }
}




